import { declare } from '@babel/helper-plugin-utils';

var index = declare((api, {
  deprecatedAssertSyntax
}) => {
  api.assertVersion("8.0.0-alpha.16");
  if (deprecatedAssertSyntax != null && typeof deprecatedAssertSyntax !== "boolean") {
    throw new Error("'deprecatedAssertSyntax' must be a boolean, if specified.");
  }
  return {
    name: "syntax-import-attributes",
    manipulateOptions({
      parserOpts,
      generatorOpts
    }) {
      generatorOpts.importAttributesKeyword ??= "with";
      const importAssertionsPluginIndex = parserOpts.plugins.indexOf("importAssertions");
      if (importAssertionsPluginIndex !== -1) {
        parserOpts.plugins.splice(importAssertionsPluginIndex, 1);
        deprecatedAssertSyntax = true;
      }
      if (deprecatedAssertSyntax) {
        parserOpts.plugins.push("deprecatedImportAssert", ["importAttributes", {
          deprecatedAssertSyntax: true
        }]);
      } else {
        parserOpts.plugins.push("importAttributes");
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
